import request from '@/utils/request';

// 获取数据源列表
export const getBoardListApi = (data) => {
  return request({
    url: '/system/designPageConfig/list', method: 'get', params: data
  });
};
// 获取看板详情
export const getBoardApi = (data) => {
  return request({
    url: '/system/designPageConfig/' + data, method: 'get'
  });
};

// 删除数据源
export const delBoardApi = (id) => {
  return request({
    url: '/system/designPageConfig/' + id, method: 'DELETE'
  });
};

// 新增数据源
export const addBoardApi = (data) => {
  return request({
    url: '/system/designPageConfig', method: 'POST', data
  });
};

// 编辑数据源
export const editBoardApi = (data) => {
  return request({
    url: '/system/designPageConfig', method: 'PUT', data
  });
};
